import { RestApi } from './rest-api';
import { ChangeRequest, ScrapboxWebsocketHandler } from './websocket';
export declare class ScrapboxApi {
    private readonly restApi;
    private readonly websocketHandler;
    constructor(token?: string, debug?: boolean, restApi?: RestApi, websocketHandler?: ScrapboxWebsocketHandler);
    getPage(projectName: string, pageName: string): Promise<import("./rest-api/types").Page>;
    changeLine(projectName: string, pageName: string, change: ChangeRequest | ChangeRequest[]): Promise<void>;
    getUser(): Promise<import("./rest-api/types").Me>;
    closeConnection(): void;
    private getProject;
    private getPageIdAndCommitId;
    private commit;
}
